## org.eclipse.datatools.sqltools.sqlbuilder.model
Class VendorHelper

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.model.VendorHelper

    public class VendorHelper

extends java.lang.Object

A helper class for determining what database we are running against.

Constructor Summary
`VendorHelper(Database database)`

Method Summary
`boolean` `isCloudscape()`
`boolean` `isDB2()`
`boolean` `isDB2Everyplace()`
`boolean` `isDB2forLUW_v9()`
`boolean` `isDB2forZOS_v9()`
`boolean` `isDB2UDBNT_V8()`
`boolean` `isDB2UDBNT()`
`boolean` `isDB2UDBOS390_V6()`
`boolean` `isDB2UDBOS390()`
`static boolean` `isFullSelectSupported(Database database)`
`boolean` `isInformix()`
`boolean` `isInstantDB()`
`boolean` `isMSSQLServer()`
`boolean` `isMySQL()`
`boolean` `isOracle_V10()`
`boolean` `isOracle_V8()`
`boolean` `isOracle_V9()`
`boolean` `isOracle()`
`boolean` `isSybase()`
`static boolean` `isWithSupported(Database database)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VendorHelper

    public VendorHelper(Database database)

Method Detail

### isFullSelectSupported

    public static boolean isFullSelectSupported(Database database)

### isWithSupported

    public static boolean isWithSupported(Database database)

### isDB2UDBNT_V8

    public boolean isDB2UDBNT_V8()

### isDB2forLUW_v9

    public boolean isDB2forLUW_v9()

### isDB2UDBOS390_V6

    public boolean isDB2UDBOS390_V6()

### isDB2UDBOS390

    public boolean isDB2UDBOS390()

### isDB2forZOS_v9

    public boolean isDB2forZOS_v9()

### isDB2Everyplace

    public boolean isDB2Everyplace()

### isOracle

    public boolean isOracle()

### isOracle_V8

    public boolean isOracle_V8()

### isOracle_V9

    public boolean isOracle_V9()

### isOracle_V10

    public boolean isOracle_V10()

### isInformix

    public boolean isInformix()

### isMSSQLServer

    public boolean isMSSQLServer()

### isInstantDB

    public boolean isInstantDB()

### isSybase

    public boolean isSybase()

### isMySQL

    public boolean isMySQL()

### isDB2

    public boolean isDB2()

### isDB2UDBNT

    public boolean isDB2UDBNT()

### isCloudscape

    public boolean isCloudscape()